test: _SEP_LSA_WORK_ITEM struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _SEP_LSA_WORK_ITEM Struct Reference

`#include <sep.h>`

List of all members.

## Public Attributes

LIST_ENTRY | List
SEP_RM_LSA_MEMORY_TYPE | CommandParamsMemoryType
SEP_LSA_WORK_ITEM_TAG | Tag
union {
PVOID BaseAddress
LUID LogonId
} | CommandParams
LSA_COMMAND_NUMBER | CommandNumber
ULONG | CommandParamsLength
PVOID | ReplyBuffer
ULONG | ReplyBufferLength
PSEP_LSA_WORKER_CLEANUP_ROUTINE | CleanupFunction
PVOID | CleanupParameter

## Member Data Documentation

PVOID _SEP_LSA_WORK_ITEM::BaseAddress

| Definition at line 345 of file sep.h.

PSEP_LSA_WORKER_CLEANUP_ROUTINE _SEP_LSA_WORK_ITEM::CleanupFunction

| Definition at line 364 of file sep.h. Referenced by SepAdtLogAuditRecord(), SepInformLsaOfDeletedLogon(), and SepRmCallLsa().

PVOID _SEP_LSA_WORK_ITEM::CleanupParameter

| Definition at line 365 of file sep.h. Referenced by SepInformLsaOfDeletedLogon(), and SepRmCallLsa().

LSA_COMMAND_NUMBER _SEP_LSA_WORK_ITEM::CommandNumber

| Definition at line 354 of file sep.h. Referenced by SepAdtLogAuditRecord(), SepInformLsaOfDeletedLogon(), and SepRmCallLsa().

union { ... } _SEP_LSA_WORK_ITEM::CommandParams

| Referenced by SepAdtLogAuditRecord(), SepInformLsaOfDeletedLogon(), and SepRmCallLsa().

ULONG _SEP_LSA_WORK_ITEM::CommandParamsLength

| Definition at line 355 of file sep.h. Referenced by SepAdtLogAuditRecord(), SepInformLsaOfDeletedLogon(), and SepRmCallLsa().

SEP_RM_LSA_MEMORY_TYPE _SEP_LSA_WORK_ITEM::CommandParamsMemoryType

| Definition at line 330 of file sep.h. Referenced by SepAdtLogAuditRecord(), SepInformLsaOfDeletedLogon(), and SepRmCallLsa().

LIST_ENTRY _SEP_LSA_WORK_ITEM::List

| Definition at line 324 of file sep.h. Referenced by SepDequeueWorkItem().

LUID _SEP_LSA_WORK_ITEM::LogonId

| Definition at line 346 of file sep.h.

PVOID _SEP_LSA_WORK_ITEM::ReplyBuffer

| Definition at line 356 of file sep.h. Referenced by SepAdtLogAuditRecord(), SepInformLsaOfDeletedLogon(), and SepRmCallLsa().

ULONG _SEP_LSA_WORK_ITEM::ReplyBufferLength

| Definition at line 357 of file sep.h. Referenced by SepAdtLogAuditRecord(), SepInformLsaOfDeletedLogon(), and SepRmCallLsa().

SEP_LSA_WORK_ITEM_TAG _SEP_LSA_WORK_ITEM::Tag

| Definition at line 336 of file sep.h. Referenced by SepAdtLogAuditRecord(), and SepInformLsaOfDeletedLogon().

The documentation for this struct was generated from the following file:

- sep.h